Package org.postgis

## Class PGgeography

- java.lang.Object
- - org.postgresql.util.PGobject
  - - org.postgis.PGgeo
    - - org.postgis.PGgeography

All Implemented Interfaces:
  `Serializable`, `Cloneable`

Direct Known Subclasses:
  `PGgeographyLW`

    public class PGgeography
    extends PGgeo

A PostgreSQL JDBC PGobject extension data type modeling the geography type.

Author:
  Phillip Ross
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.postgresql.util.PGobject

`type, value`

### Constructor Summary

Constructors
`PGgeography()` Instantiate with default state.
`PGgeography​(String value)` Instantiate with the specified state.
`PGgeography​(Geometry geometry)` Instantiate with the specified state.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `clone()`

### Methods inherited from class org.postgis.PGgeo

`getGeometry, getGeoType, getValue, setGeometry, setValue, toString`

### Methods inherited from class org.postgresql.util.PGobject

`equals, equals, getType, hashCode, isNull, setType`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PGgeography

    public PGgeography()

Instantiate with default state.

#### PGgeography

    public PGgeography​(Geometry geometry)

Instantiate with the specified state.

Parameters:
  `geometry` - the geometry to instantiate with

#### PGgeography

    public PGgeography​(String value)
                throws SQLException

Instantiate with the specified state.

Parameters:
  `value` - the value to instantiate with
Throws:
  `SQLException`

### Method Detail

#### clone

    public Object clone()

Overrides:
  `clone` in class `PGgeo`